Skip to content
POST/{organizationId}/{mandateId}/crm/messageTemplates/list

List messageTemplates

Gets a list of messageTemplates

Required permissions:

  • dispatchDocument.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
typestringoptional

Options:

emailletter
draftbooleanoptional
onlySelectablebooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/messageTemplates/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/messageTemplates/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "allowedPlaces": [
    "mailings"
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "messageTemplates": [
    {
      "_id": "000000000000000000000001",
      "scope": "local",
      "type": "email",
      "draft": true,
      "name": "string",
      "description": "string",
      "contactType": "member",
      "templateContents": {},
      "templateAttachment": {},
      "templateContentsDefault": true,
      "allowedPlaces": [
        "mailings"
      ],
      "email": {
        "subject": "string",
        "previewText": "string",
        "attachments": [
          {
            "resource": "string",
            "id": "string"
          }
        ]
      },
      "letter": {
        "sendColorPostal": true,
        "sendWithCheaperMethod": true
      }
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}